### Constructor

# GdkPixbuf.Pixbuf.new_from_xpm_data

#### Declaration [src]

    GdkPixbuf*
    gdk_pixbuf_new_from_xpm_data (
      const char** data
    )

#### Description [src]

Creates a new pixbuf by parsing XPM data in memory.

This data is commonly the result of including an XPM file into a program’s C source.

#### Parameters

`data` | An array of `char*`
| Pointer to inline XPM data.
| Ownership is not transferred to the callee

#### Return value

Returns: `GdkPixbuf`
A newly-created pixbuf
Ownership of the data is transferred to the caller